body {
  background-image: url(./assets/bg.jpg);
  background-repeat: no-repeat;
  background-size: 100% auto;
  background-position: top center;
  background-color: #121214;
  color: white;
}

* {
  margin: 0;
}

body *,
:root {
  font-family: "Inter", sans-serif;
  line-height: 160%;
}

header {
  padding-top: 2rem;
  text-align: center;

  & img {
    width: 15rem;
  }
}

main {
  max-width: 36rem;
  width: 90%;
  margin: 3rem auto;

  & section {
    background-image: linear-gradient(90deg, #9572FC 0%, #43E7AD 50%, #E2D45C 100%);
    border-radius: 0.625rem;
    padding-top: 4px;

    opacity: 0;
    transform: translateY(2rem);

    animation: appear 700ms forwards;

    &>div {
      padding: 2rem;
      padding-top: 1.5rem;
      border-radius: 0.5rem;
      background-color: #2A2634;
    }

    & h2 {
      letter-spacing: -0.47px;
    }

    & p {
      letter-spacing: -0.18;
      color: #a1a1aa;
    }
  }
}

@keyframes appear {
  100% {
    opacity: 1;
    transform: translateY(0);
  }
}

form {
  display: flex;
  gap: 0.85rem;
  flex-wrap: wrap;
  margin: 1.25rem 0;
}

input,
select {
  all: unset;
  border: 2px solid #9147ff;
  border-radius: 0.5rem;
  padding: 0.675rem;
  font-size: 0.875rem;
  background-color: #00000066;
}

input {
  flex: 1;
}

button {
  width: 100%;
  border: 0;
  background-image: linear-gradient(245deg, #9572FC 0%, #43E7AD 50%, #E2D45C 100%);
  padding: 0.675rem;
  border-radius: 0.5rem;
  font-weight: bold;
  text-transform: uppercase;
  letter-spacing: 0.12px;

  transition: all 0.3s;

  &:hover {
    cursor: pointer;
    transform: translateY(-2px);
    box-shadow: 0 5px 1rem rgba(255, 248, 107, 0.2);
  }


  &:disabled {
    transition: initial;
    transform: initial;
    box-shadow: initial;
    cursor: not-allowed;
    color: black;
  }
}

#aiResponse {
  background:rgba(0, 0, 0, 0.4);
  border-radius: 0.5rem;
  padding: 1.25rem;
  border-left: 4px solid #43E7AD;

  & ul {
    padding-left: 1.5rem;
  }

  & p {
    color: white;
  }
}

.loading {
  animation: pulse 1s infinite;
}

.hidden {
  display: none;
}

@keyframes pulse {
  50% {
    opacity: 0.5;
  }
}